#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# source this file to init trigo shell variables

if [ -z "$TOP" ]; then
    ${ECHO} "Error!: TOP environment variable is not set."
fi


#--------------------------------------------------------------------------------
# basic shell variables
#--------------------------------------------------------------------------------

export CP=cp
export RM="rm -rf"
export ECHO=echo
export TOUCH=touch
export MKDIR="mkdir -p"
export TR=tr
export GREP=grep
export AWK=awk
export SED=sed
export CAT=cat
export BC=bc
export MV=mv
export CUT=cut

[ `uname` = "SunOS" ] && export AWK=nawk


#--------------------------------------------------------------------------------
# java
#--------------------------------------------------------------------------------

# home of your java jdk
export JDK_HOME=/usr/local/jdk1.4


#--------------------------------------------------------------------------------
# db server
#--------------------------------------------------------------------------------

export CCD_DB=db2
#home of DB2 client instance
export DB2_HOME=/home/db2inst1/sqllib
. $DB2_HOME/db2profile


#--------------------------------------------------------------------------------
# app server
#--------------------------------------------------------------------------------

export CCD_APPSVR=websphere6




# WebSphere installation root
export WAS_HOME=/opt/WebSphere/AppServer
# WebSphere application server profile name.
export WAS_APPLICATION_SERVER_PROFILE=AppSrv01

# WebSphere application server profile home path
# NOTE: the following path is the default path
#       if it is different in your installation, change it accordingly.
export WAS_PROFILE_HOME=$WAS_HOME/profiles/$WAS_APPLICATION_SERVER_PROFILE

# WebSphere cell name.
export WAS_CELLNAME=mycell
# WebSphere node name.
export WAS_NODENAME=mynode
# Name of the application server under which Trigo will be running.
export WAS_APPSERVERNAME=TrigoProductCenter
# Name of the virtual host under which Trigo will be running.
# Only change this if you are running more than one Trigo application
# under the same WebSphere instance.
export WAS_VHOST=default_host

# If you have WAS security turned on, uncomment the following line
#export WAS_SECURITY=on


#--------------------------------------------------------------------------------
# modules memory flags
#--------------------------------------------------------------------------------

# to add more memory to a module, change the memory flag
# variable for this module
# the default values are given for the Sun jdk
# if using the IBM jdk, remove the X character e.g. '-mx64m -ms48m'

export ADMIN_MEMORY_FLAG='-Xmx64m -Xms64m'
export APPSVR_MEMORY_FLAG='-Xmx1024m -Xms256m -XX:MaxPermSize=1024m'
export EVENTPROCESSOR_MEMORY_FLAG='-Xmx64m -Xms48m'
export QUEUEMANAGER_MEMORY_FLAG='-Xmx64m -Xms64m'
export SCHEDULER_MEMORY_FLAG='-Xmx1024m -Xms256m'
export WORKFLOWENGINE_MEMORY_FLAG='-Xmx1024m -Xms64m'


#--------------------------------------------------------------------------------
# jars
#--------------------------------------------------------------------------------

# directory where jars are kept
export JARDIR=$TOP/jars

#--------------------------------------------------------------------------------
# ccd.rc
#--------------------------------------------------------------------------------

CCD_RC=$TOP/setup/ccd.rc
if [ -f "$CCD_RC" ]; then
    . $CCD_RC
else
    ${ECHO} "Error!: file '$TOP/setup/ccd.rc' not found"
fi


