-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


-- DB2 UDB UDF 
--
-- Author    Beshwa
--
-- Usage of UDF: 
-- SSRPAD (charset1 , N, charset2)
-- OR
-- SSRPAD (int1 , N , charset2)
-- OR
--
-- SSLPAD (charset1, N, charset2)
-- OR
-- SSLPAD (int1, N, charset2)
--
-- Synopsis : Add repeatedly charset2 to the right(SSRPAD) or left(SSLPAD) of parameter 1 (charset1 or int1)
--              and return N characters.
--            

-- Cleanup

DROP FUNCTION SSLPAD (Integer, Integer);
DROP FUNCTION SSLPAD (Integer, Integer, Varchar(4000));
DROP FUNCTION SSLPAD (VarChar(4000), Integer);
DROP FUNCTION SSLPAD (VarChar(4000), Integer, VarChar(4000));
DROP FUNCTION SSRPAD (Integer, Integer);
DROP FUNCTION SSRPAD (Integer, Integer, Varchar(4000));
DROP FUNCTION SSRPAD (VarChar(4000), Integer);
DROP FUNCTION SSRPAD (VarChar(4000), Integer, VarChar(4000));


-- SSRPAD
CREATE FUNCTION SSRPAD (charset1 VarChar(4000), N integer, charset2 VarChar(4000))
 RETURNS VARCHAR(4000)
 LANGUAGE SQL
 SPECIFIC SSRPADBase
 DETERMINISTIC
 CONTAINS SQL
 NO EXTERNAL ACTION
 RETURN 
 SUBSTR(charset1 || REPEAT(charset2,((SIGN(N-LENGTH(charset1))+1)/2)*(N-LENGTH(charset1)+LENGTH(charset2))/(LENGTH(charset2)+1-sign(LENGTH(charset2)))),1,N);


-- Overloaded for two paramaters
CREATE FUNCTION SSRPAD (charset1 VarChar(4000), N integer)
 RETURNS VARCHAR(4000)
 LANGUAGE SQL
 SPECIFIC SSRPADVarCharParm2
 DETERMINISTIC
 CONTAINS SQL
 NO EXTERNAL ACTION
 RETURN 
 SSRPAD(charset1,N,' ');

-- Overloaded for three paramaters where first one is an integer
CREATE FUNCTION SSRPAD (int1 Integer, N integer, charset2 Varchar(4000))
 RETURNS VARCHAR(4000)
 LANGUAGE SQL
 SPECIFIC SSRPADIntParm3
 DETERMINISTIC
 CONTAINS SQL
 NO EXTERNAL ACTION
 RETURN 
 SSRPAD(RTRIM(CHAR(int1)),N,charset2);


-- Overloaded for two parameters where both are integers
CREATE FUNCTION SSRPAD (int1 Integer, N integer)
 RETURNS VARCHAR(4000)
 LANGUAGE SQL
 SPECIFIC SSRPADIntParm2
 DETERMINISTIC
 CONTAINS SQL
 NO EXTERNAL ACTION
 RETURN 
 SSRPAD(RTRIM(CHAR(int1)),N,' ');

-- SSLPAD
CREATE FUNCTION SSLPAD (charset1 VarChar(4000), N integer, charset2 VarChar(4000))
 RETURNS VARCHAR(4000)
 LANGUAGE SQL
 SPECIFIC SSLPADBase
 DETERMINISTIC
 CONTAINS SQL
 NO EXTERNAL ACTION
 RETURN 
 CASE
   WHEN N > LENGTH(charset1) 
	THEN SUBSTR(REPEAT(charset2,(N-LENGTH(charset1)+LENGTH(charset2))/(LENGTH(charset2)+1-SIGN(LENGTH(charset2)))),1,N-LENGTH(charset1)) || charset1
   ELSE SUBSTR(charset1,1,N)
 END;

-- Overloaded for two parameters

CREATE FUNCTION SSLPAD (charset1 VarChar(4000), N integer)
 RETURNS VARCHAR(4000)
 LANGUAGE SQL
 SPECIFIC SSLPADParm2
 DETERMINISTIC
 CONTAINS SQL
 NO EXTERNAL ACTION
 RETURN 
 SSLPAD(charset1,N,' ');

-- Overloaded for three paramaters where first one is an integer

CREATE FUNCTION SSLPAD (int1 Integer, N integer, charset2 Varchar(4000))
 RETURNS VARCHAR(4000)
 LANGUAGE SQL
 SPECIFIC SSLPADIntParm3
 DETERMINISTIC
 CONTAINS SQL
 NO EXTERNAL ACTION
 RETURN 
 SSLPAD(RTRIM(CHAR(int1)),N,charset2);

-- Overloaded for two parameters where both are integers
CREATE FUNCTION SSLPAD (int1 Integer, N integer)
 RETURNS VARCHAR(4000)
 LANGUAGE SQL
 SPECIFIC SSLPADIntParm2
 DETERMINISTIC
 CONTAINS SQL
 NO EXTERNAL ACTION
 RETURN 
 SSLPAD(RTRIM(CHAR(int1)),N,' ');


commit;

terminate;

 
