-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------



CREATE TABLE tutl_lck_lock_temp
(
	lck_object_id    	bigint not null,
	lck_object_type  	varchar(50) not null,
	lck_type			char not null,
	lck_thread_id       varchar(200) not null,
	lck_jvm_id      	varchar(200) not null)
	IN USERS INDEX IN INDX;

INSERT INTO tutl_lck_lock_temp 
	SELECT 
		lck.lck_object_id,
		lck.lck_object_type,
		lck.lck_type,		
		lck.lck_thread_id,
		lck.lck_jvm_id
	FROM
		tutl_lck_lock lck;

COMMIT;

DROP TABLE tutl_lck_lock;

create table tutl_lck_lock
(
	lck_object_id    	bigint not null,
	lck_object_type  	varchar(50) not null,
	lck_type			char not null,
	lck_thread_id       varchar(200) not null,
	lck_jvm_id      	varchar(200) not null,
	constraint lck_0_uk unique (lck_object_id, lck_object_type, lck_type, lck_jvm_id, lck_thread_id) )
	IN USERS INDEX IN INDX;
		
INSERT INTO tutl_lck_lock
	SELECT 
		tlck.lck_object_id,
		tlck.lck_object_type,
		tlck.lck_type,		
		tlck.lck_thread_id,
		tlck.lck_jvm_id
	FROM 
    	tutl_lck_lock_temp tlck;

COMMIT;

DROP alias lck;
CREATE alias lck for tutl_lck_lock;

CREATE index iutl_lck_0 on tutl_lck_lock (
	lck_jvm_id,
	lck_thread_id,
	lck_type);
		
DROP TABLE tutl_lck_lock_temp;

COMMIT;

